[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomStringGrid.DoCellProcess

Performs actions needed when cell values are copied or pasted using the clipboard.

## Declaration

Source position: grids.pas line 1777

`protected procedure TCustomStringGrid.DoCellProcess(`
`aCol: Integer;`
`aRow: Integer;`
`processType: TCellProcessType;`
`var aValue: string`
`); virtual;`

## Arguments

`aCol` |  | Column number for the cell.
`aRow` |  | Row number for the cell.
`processType` |  | Process performed in the method.
`aValue` |  | Contains the value after performing the specified process.

## Description

Signals the OnCellProcess event handler when assigned.